package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_data")
public class EnvData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 温度
     */
    private String envTemp;

    /**
     * 湿度
     */
    private String envHum;

    /**
     * 原始值
     */
    private String originalData;

    /**
     * 单元id
     */
    private Integer unitId;

    private Integer farmId;

    private String other1;

    private String other2;

    private String other3;


}
